import json
import requests
from api_auth import APICredentials, APIParams

class FailoverGroup:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._add_remove_live_channels()

    def _add_remove_live_channels(self):
        failover_group_id = 'e8d6b5cb940c40cc9ec6ad081a38f3f0'
        url = "{}{}{}{}".format(self.host, "/api/v4/failover-groups/", failover_group_id, "/channels")

        payload = {
            'channels_ids_to_add': [
                'c3481b4f12ae471d9b727a6e27ea4675',
                'g341643dn409198f523flniu1234n34d'
            ],
            'channels_ids_to_remove': [
                'h3481b4f12ae471d9b722a6e27ea4274'
            ]
        }

        headers = {'Content-Type': 'application/json'}
  
        response = requests.put(
            url, params=APIParams(APICredentials()).get_params({}), data=json.dumps(payload), headers=headers
        )
  
        print(response.status_code)
  
FailoverGroup().run()